> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List subscribable event types per source

> Returns the catalog of event types that webhook subscriptions can subscribe to, grouped by source. Use the returned type identifiers as the `eventTypes` values when creating or updating a webhook.



## OpenAPI

````yaml /api-reference/webhooks.yaml get /event-types
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /event-types:
    get:
      tags:
        - Webhook Event Types
      summary: List subscribable event types per source
      description: >-
        Returns the catalog of event types that webhook subscriptions can
        subscribe to, grouped by source. Use the returned type identifiers as
        the `eventTypes` values when creating or updating a webhook.
      operationId: listWebhookEventTypes
      responses:
        '200':
          description: Event-type catalog
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      schemaVersion:
                        type: number
                        enum:
                          - 1
                      sources:
                        type: array
                        items:
                          type: object
                          properties:
                            source:
                              type: string
                              minLength: 1
                              maxLength: 128
                            events:
                              type: array
                              items:
                                type: object
                                properties:
                                  type:
                                    type: string
                                    minLength: 1
                                    maxLength: 256
                                  description:
                                    type: string
                                    minLength: 1
                                    maxLength: 512
                                required:
                                  - type
                                  - description
                          required:
                            - source
                            - events
                    required:
                      - schemaVersion
                      - sources
                required:
                  - data
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.webhooks.eventTypes();

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.webhooks.event_types()
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Webhooks.EventTypes(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud webhooks event-types \
              --api-key 'My API Key'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````